class Themebox::Client
	def initialize(token)
		@token = token
	end

	def upload_file(path, file)
		upload_path = "http://tablefillr.dev/themes/#{path.sub(/\.liquid$/, '')}"

		puts "Uploading #{path}"
		RestClient.put resource_path(path), :content => file, 
											:token => @token,
											:content_type => "application/x-www-form-urlencoded"
	end

	def delete_file(path)
		puts "Deleting #{path}"
		RestClient.delete resource_path(path)
	end

	def resource_path(path)
		"http://tablefillr.dev/themes/#{path.sub(/\.liquid$/, '')}"
	end
end
